.control-bar-wrapper {
  position: absolute;
  pointer-events: none;
  height: 28px;
  z-index: 1;
  direction: ltr;
}
.control-bar {
  display: flex;
  visibility: visible;
  transition: opacity 0.3s, visibility 0.3s;
}
.control-bar--hidden,
.control-bar--hidden .control-bar__btn {
  visibility: hidden;
  opacity: 0;
}
.control-bar__group {
  display: flex;
  align-items: center;
  margin: 0 7px;
}
.control-bar__btn {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  margin: 0 4px;
  width: 28px;
  height: 28px;
  background-color: hsla(0, 0%, 100%, 0.75);
  color: #5d606b;
  box-shadow: 0 1px 4px rgba(19, 23, 34, 0.2);
  pointer-events: auto;
  transition: background-color 0.3s, color 0.3s, visibility 0.4s, opacity 0.4s;
  -webkit-user-select: none;
  -ms-user-select: none;
  user-select: none;
  z-index: 1;
  visibility: visible;
  opacity: 1;
}
.control-bar__btn--btn-hidden {
  visibility: hidden;
  opacity: 0;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .control-bar__btn:hover {
    background-color: #fff;
    color: #242731;
  }
}
.control-bar__btn:active {
  background-color: #f8f9fd;
  transition: none;
}
.control-bar__btn--minimize {
  background-color: #2196f3;
  color: #fff;
}
.control-bar__btn--minimize:active {
  color: #fff;
  background-color: #1e88e5;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .control-bar__btn--minimize:hover {
    color: #fff;
    background-color: #1e88e5;
  }
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .control-bar__btn--minimize:hover .corner-left-top {
    animation: animation-minimize-corner-left-top-1QFR0TYG 0.6s ease;
  }
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .control-bar__btn--minimize:hover .corner-right-top {
    animation: animation-minimize-corner-right-top-2OigqFDd 0.6s ease;
  }
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .control-bar__btn--minimize:hover .corner-right-bottom {
    animation: animation-minimize-corner-right-bottom-171Xjuh0 0.6s ease;
  }
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .control-bar__btn--minimize:hover .corner-left-bottom {
    animation: animation-minimize-corner-left-bottom-Gj_EWVOk 0.6s ease;
  }
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .control-bar__btn--maximize:hover .corner-left-top {
    animation: animation-maximize-corner-left-top-1dOMET94 0.6s ease;
  }
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .control-bar__btn--maximize:hover .corner-right-top {
    animation: animation-maximize-corner-right-top-X6SjWmdM 0.6s ease;
  }
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .control-bar__btn--maximize:hover .corner-right-bottom {
    animation: animation-maximize-corner-right-bottom-2lZ_pYbV 0.6s ease;
  }
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .control-bar__btn--maximize:hover .corner-left-bottom {
    animation: animation-maximize-corner-left-bottom-28bRbB5v 0.6s ease;
  }
}
.control-bar__btn--dark {
  background-color: rgba(30, 34, 45, 0.75);
  color: #b2b5be;
  box-shadow: 0 2px 6px #000;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .control-bar__btn--dark:hover {
    background-color: #1e222d;
    color: #d1d4dc;
  }
}
.control-bar__btn--dark:active {
  background-color: #2a2e39;
}
.control-bar__btn--dark.control-bar__btn--minimize {
  background-color: #1976d2;
  color: #bbdefb;
}
.control-bar__btn--dark.control-bar__btn--minimize:active {
  background-color: #1e88e5;
  color: #bbdefb;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .control-bar__btn--dark.control-bar__btn--minimize:hover {
    background-color: #1e88e5;
    color: #bbdefb;
  }
}
.control-bar__btn--back-present {
  position: absolute;
  right: 2px;
}
.control-bar__btn svg {
  pointer-events: none;
}
@keyframes animation-maximize-corner-left-top-1dOMET94 {
  50% {
    transform: translate(-1px, -1px);
  }
}
@keyframes animation-maximize-corner-right-top-X6SjWmdM {
  50% {
    transform: translate(1px, -1px);
  }
}
@keyframes animation-maximize-corner-right-bottom-2lZ_pYbV {
  50% {
    transform: translate(1px, 1px);
  }
}
@keyframes animation-maximize-corner-left-bottom-28bRbB5v {
  50% {
    transform: translate(-1px, 1px);
  }
}
@keyframes animation-minimize-corner-left-top-1QFR0TYG {
  50% {
    transform: translate(1px, 1px);
  }
}
@keyframes animation-minimize-corner-right-top-2OigqFDd {
  50% {
    transform: translate(-1px, 1px);
  }
}
@keyframes animation-minimize-corner-right-bottom-171Xjuh0 {
  50% {
    transform: translate(-1px, -1px);
  }
}
@keyframes animation-minimize-corner-left-bottom-Gj_EWVOk {
  50% {
    transform: translate(1px, -1px);
  }
}
.loader-1ON1rkY9 {
  content: '';
  position: absolute;
  display: none;
  height: 22px;
  align-items: center;
  justify-content: center;
  top: 0;
  left: 2px;
  font-size: 0;
}
.loader-1ON1rkY9 .loaderItem-6asdclOe {
  width: 5px;
  height: 5px;
  opacity: 1;
  border-radius: 50%;
  transform: scale(0.6);
  animation: loader-animation-1vbmOmyN 0.96s infinite ease-in-out both;
  background-color: #b2b5be;
}
.loader-1ON1rkY9 .loaderItem-6asdclOe:not(:last-child) {
  margin-right: 2px;
}
.loader-1ON1rkY9 .loaderItem-6asdclOe:nth-child(2) {
  transition-delay: 0.35s/3;
  animation-delay: 0.151s;
}
.loader-1ON1rkY9 .loaderItem-6asdclOe:nth-child(3) {
  transition-delay: (0.35s/3) * 2;
  animation-delay: 0.32s;
}
.loader-1ON1rkY9.shown-1QFCxvPl {
  display: flex;
}
@keyframes loader-animation-1vbmOmyN {
  0%,
  to {
    transform: scale(0.6);
  }
  50% {
    transform: scale(0.9);
  }
}
.chart-widget--themed-dark .loader-1ON1rkY9 .loaderItem-6asdclOe {
  background-color: #434651;
}
.touchMode-I-CBM3V3 .loader-1ON1rkY9 {
  height: 24px;
}
.legend-29zvAld0 {
  flex: 1 1 auto;
  direction: ltr;
  max-width: 100%;
  margin: 0;
  padding-top: 4px;
  color: transparent;
  line-height: normal;
  -webkit-user-select: none;
  -ms-user-select: none;
  user-select: none;
  transform: translateZ(0);
  contain: content;
  pointer-events: none;
  z-index: 6;
}
.item-3eXPhOmy {
  max-width: 100%;
  min-height: 24px;
  flex-wrap: wrap;
  font-size: 13px;
  z-index: 1;
}
.item-3eXPhOmy.series-12hzsxbp {
  margin: 0 4px;
}
.item-3eXPhOmy.selected-2qw9PFUJ,
.item-3eXPhOmy.withAction-1y86Ymm9 {
  z-index: 2;
}
.item-3eXPhOmy.last-3Xus0HXW {
  align-items: center;
  max-width: 18px;
  order: 100000;
  padding: 0 4px;
  border: 1px solid transparent;
  border-top-width: 0;
  border-bottom-width: 0;
  background-color: currentColor;
  cursor: default;
  pointer-events: auto;
}
.item-3eXPhOmy.last-3Xus0HXW .text-1pYqyE6B {
  color: #242731;
}
.item-3eXPhOmy .noWrapWrapper-AC879h-w {
  display: flex;
  flex-wrap: nowrap;
}
.noWrap-ODIQgNap .item-3eXPhOmy {
  flex-wrap: nowrap;
}
.noWrap-ODIQgNap .series-12hzsxbp.item-3eXPhOmy {
  flex-wrap: wrap;
}
.noWrap-ODIQgNap .series-12hzsxbp .valuesAdditionalWrapper-3BfAIuML {
  display: block;
  align-self: auto;
}
.noWrap-ODIQgNap
  .series-12hzsxbp
  .valuesAdditionalWrapper-3BfAIuML
  .valueItem-3JDGGSt_,
.noWrap-ODIQgNap
  .series-12hzsxbp
  .valuesAdditionalWrapper-3BfAIuML
  .valueTitle-1myNPdtH,
.noWrap-ODIQgNap
  .series-12hzsxbp
  .valuesAdditionalWrapper-3BfAIuML
  .valueValue-3kA0oJs5 {
  display: inline;
}
.noWrap-ODIQgNap
  .series-12hzsxbp
  .valuesAdditionalWrapper-3BfAIuML
  .valueItem-3JDGGSt_:before,
.noWrap-ODIQgNap
  .series-12hzsxbp
  .valuesAdditionalWrapper-3BfAIuML
  .valueTitle-1myNPdtH:before,
.noWrap-ODIQgNap
  .series-12hzsxbp
  .valuesAdditionalWrapper-3BfAIuML
  .valueValue-3kA0oJs5:before {
  display: none;
}
.noWrap-ODIQgNap .valuesWrapper-1ukbb5SP {
  align-items: center;
}
.noWrap-ODIQgNap .valuesAdditionalWrapper-3BfAIuML {
  display: block;
  align-self: auto;
  min-width: 0;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  color: #242731;
}
.directionColumn-abL_Vsle .series-12hzsxbp {
  flex-direction: column;
}
.directionColumn-abL_Vsle .series-12hzsxbp .valuesWrapper-1ukbb5SP {
  max-width: 100%;
  align-self: flex-start;
}
.button-22Ex8G2W,
.statusesWrapper-GnubQvDb,
.titleWrapper-1Zs2rjQ6,
.valueItem-3JDGGSt_ {
  background-color: currentColor;
}
.buttons-1-XhYDHM,
.buttonsWrapper-3eBZpnXm,
.item-3eXPhOmy,
.statusesWrapper-GnubQvDb,
.titleWrapper-1Zs2rjQ6,
.valueItem-3JDGGSt_,
.valuesWrapper-1ukbb5SP {
  display: flex;
}
.statusesWrapper-GnubQvDb {
  z-index: 1;
}
.statusesWrapper-GnubQvDb,
.titleWrapper-1Zs2rjQ6 {
  position: relative;
  pointer-events: auto;
  cursor: default;
}
.titleWrapper-1Zs2rjQ6 {
  flex: 0 0 auto;
  align-items: center;
  max-width: 100%;
  overflow: hidden;
  padding: 0 7px 0 4px;
  border: 1px solid transparent;
  border-right-width: 0;
  box-sizing: border-box;
}
.selected-2qw9PFUJ .titleWrapper-1Zs2rjQ6:after,
.withAction-1y86Ymm9 .titleWrapper-1Zs2rjQ6:after {
  position: absolute;
  right: 0;
  top: 4px;
  bottom: 4px;
  align-self: stretch;
  width: 1px;
  content: '';
  z-index: 1;
}
.selected-2qw9PFUJ:not(.series-12hzsxbp) .titleWrapper-1Zs2rjQ6,
.study-lgC0tuTJ.disabled-3P6bUcMx:not(.series-12hzsxbp) .titleWrapper-1Zs2rjQ6,
.withAction-1y86Ymm9:not(.series-12hzsxbp) .titleWrapper-1Zs2rjQ6 {
  max-width: calc(100% - 115px);
}
.touchMode-2jC98z1-
  .selected-2qw9PFUJ:not(.series-12hzsxbp)
  .titleWrapper-1Zs2rjQ6,
.touchMode-2jC98z1-
  .study-lgC0tuTJ.disabled-3P6bUcMx:not(.series-12hzsxbp)
  .titleWrapper-1Zs2rjQ6,
.touchMode-2jC98z1-
  .withAction-1y86Ymm9:not(.series-12hzsxbp)
  .titleWrapper-1Zs2rjQ6 {
  max-width: calc(100% - 133px);
}
.selected-2qw9PFUJ.has5Buttons-3tuydZU5 .titleWrapper-1Zs2rjQ6,
.study-lgC0tuTJ.disabled-3P6bUcMx.has5Buttons-3tuydZU5 .titleWrapper-1Zs2rjQ6,
.withAction-1y86Ymm9.has5Buttons-3tuydZU5 .titleWrapper-1Zs2rjQ6 {
  max-width: calc(100% - 143px);
}
.touchMode-2jC98z1-
  .selected-2qw9PFUJ.has5Buttons-3tuydZU5
  .titleWrapper-1Zs2rjQ6,
.touchMode-2jC98z1-
  .study-lgC0tuTJ.disabled-3P6bUcMx.has5Buttons-3tuydZU5
  .titleWrapper-1Zs2rjQ6,
.touchMode-2jC98z1-
  .withAction-1y86Ymm9.has5Buttons-3tuydZU5
  .titleWrapper-1Zs2rjQ6 {
  max-width: calc(100% - 163px);
}
.noActions-1D515O5o .titleWrapper-1Zs2rjQ6 {
  pointer-events: none;
}
.title-bcHj6pEn {
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
  min-width: 23px;
  text-align: left;
  color: #242731;
}
.title-bcHj6pEn.title2nd-2igtq1cH {
  min-width: auto;
}
.disabled-3P6bUcMx .title-bcHj6pEn {
  color: #b2b5be;
}
.disabled-3P6bUcMx.withCustomTextColor-Pw_dabsC .title-bcHj6pEn {
  color: #b2b5be !important;
}
.study-lgC0tuTJ .title-bcHj6pEn.title1st-2at68hKe {
  min-width: 15px;
  flex: 0 4 auto;
}
.study-lgC0tuTJ .title-bcHj6pEn.title2nd-2igtq1cH {
  min-width: 0;
  padding-left: 4px;
  flex: 0 1 auto;
  color: #5d606b;
}
.study-lgC0tuTJ.disabled-3P6bUcMx .title-bcHj6pEn.title2nd-2igtq1cH {
  color: #b2b5be;
}
.study-lgC0tuTJ.disabled-3P6bUcMx.withCustomTextColor-Pw_dabsC .title-bcHj6pEn {
  color: #b2b5be !important;
}
.study-lgC0tuTJ.error-3bH8KJfF .title-bcHj6pEn {
  color: #e53935;
}
.study-lgC0tuTJ.error-3bH8KJfF .valuesWrapper-1ukbb5SP {
  display: none;
}
.legend-29zvAld0
  .study-lgC0tuTJ.has5Buttons-3tuydZU5.selected-2qw9PFUJ.withTail-2tfD0t7T
  .valuesWrapper-1ukbb5SP:after,
.legend-29zvAld0
  .study-lgC0tuTJ.has5Buttons-3tuydZU5.stayInHoveredMode-3K55nNni.withTail-2tfD0t7T
  .valuesWrapper-1ukbb5SP:after {
  left: 143px;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .legend-29zvAld0:hover
    .study-lgC0tuTJ.has5Buttons-3tuydZU5.withAction-1y86Ymm9.withTail-2tfD0t7T
    .valuesWrapper-1ukbb5SP:after {
    left: 143px;
  }
}
.legend-29zvAld0.touchMode-2jC98z1-
  .study-lgC0tuTJ.has5Buttons-3tuydZU5.selected-2qw9PFUJ.withTail-2tfD0t7T
  .valuesWrapper-1ukbb5SP:after,
.legend-29zvAld0.touchMode-2jC98z1-
  .study-lgC0tuTJ.has5Buttons-3tuydZU5.stayInHoveredMode-3K55nNni.withTail-2tfD0t7T
  .valuesWrapper-1ukbb5SP:after {
  left: 163px;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .legend-29zvAld0.touchMode-2jC98z1-:hover
    .study-lgC0tuTJ.has5Buttons-3tuydZU5.withAction-1y86Ymm9.withTail-2tfD0t7T
    .valuesWrapper-1ukbb5SP:after {
    left: 163px;
  }
}
.loading-37LPn65g .valuesWrapper-1ukbb5SP,
.noWrap-ODIQgNap .valuesWrapper-1ukbb5SP,
.series-12hzsxbp .valuesWrapper-1ukbb5SP {
  background-color: currentColor;
  border-top: 1px solid transparent;
  border-bottom: 1px solid transparent;
}
.loader-iCjkbLoX {
  margin-left: 4px;
}
.noWrap-ODIQgNap .valuesAdditionalWrapper-3BfAIuML,
.series-12hzsxbp .valuesAdditionalWrapper-3BfAIuML {
  border-left-color: transparent;
}
.noWrap-ODIQgNap .valueItem-3JDGGSt_,
.series-12hzsxbp .valueItem-3JDGGSt_ {
  background-color: transparent;
}
.noWrap-ODIQgNap .valueItem-3JDGGSt_,
.noWrap-ODIQgNap .valueItem-3JDGGSt_ .valueTitle-1myNPdtH,
.noWrap-ODIQgNap .valueItem-3JDGGSt_ .valueValue-3kA0oJs5,
.series-12hzsxbp .valueItem-3JDGGSt_,
.series-12hzsxbp .valueItem-3JDGGSt_ .valueTitle-1myNPdtH,
.series-12hzsxbp .valueItem-3JDGGSt_ .valueValue-3kA0oJs5 {
  display: inline-flex;
}
.series-12hzsxbp .titleWrapper-1Zs2rjQ6 {
  position: relative;
  max-width: 100%;
  min-height: 24px;
  font-size: 16px;
  line-height: normal;
  align-items: center;
}
.series-12hzsxbp
  .titleWrapper-1Zs2rjQ6
  .title-bcHj6pEn.withDot-VrJCTK--:not(:first-child) {
  position: relative;
  padding-left: 12px;
}
.series-12hzsxbp
  .titleWrapper-1Zs2rjQ6
  .title-bcHj6pEn.withDot-VrJCTK--:not(:first-child):before {
  content: '\b7';
  position: absolute;
  left: 0;
  top: 0;
  width: 12px;
  height: 100%;
  font-size: 16px;
  color: #c1c4cd;
  text-align: center;
  line-height: inherit;
}
.series-12hzsxbp .titleWrapper-1Zs2rjQ6 .title-bcHj6pEn.title1st-2at68hKe {
  flex: 0 1 auto;
}
.series-12hzsxbp .titleWrapper-1Zs2rjQ6 .title-bcHj6pEn.title2nd-2igtq1cH {
  flex: 0 0 auto;
}
.series-12hzsxbp .titleWrapper-1Zs2rjQ6 .title-bcHj6pEn.title3rd-2bpagZ7H {
  flex: 0 1 auto;
}
.series-12hzsxbp .titleWrapper-1Zs2rjQ6 .title-bcHj6pEn.title4th-28_-ZX9R {
  flex: 0 3 auto;
}
.series-12hzsxbp .noWrapWrapper-AC879h-w {
  max-width: 100%;
}
.series-12hzsxbp .valuesWrapper-1ukbb5SP {
  border-bottom-width: 3px;
  align-items: flex-end;
}
.series-12hzsxbp .titleWrapper-1Zs2rjQ6,
.series-12hzsxbp .valuesWrapper-1ukbb5SP {
  min-width: 23px;
}
.series-12hzsxbp .valuesWrapper-1ukbb5SP {
  display: flex;
}
.hidden3Title-22u6NoOK
  .series-12hzsxbp
  .titleWrapper-1Zs2rjQ6
  .title-bcHj6pEn.title3rd-2bpagZ7H,
.microHidden2Title-37EAZYGX
  .series-12hzsxbp
  .titleWrapper-1Zs2rjQ6
  .title-bcHj6pEn.title2nd-2igtq1cH,
.single-visible
  .miniHidden2Title-1xHUL0G8
  .series-12hzsxbp
  .titleWrapper-1Zs2rjQ6
  .title-bcHj6pEn.title2nd-2igtq1cH {
  display: none;
}
.legend-29zvAld0
  .series-12hzsxbp.selected-2qw9PFUJ.withTail-2tfD0t7T
  .valuesWrapper-1ukbb5SP:after,
.legend-29zvAld0
  .series-12hzsxbp.stayInHoveredMode-3K55nNni.withTail-2tfD0t7T
  .valuesWrapper-1ukbb5SP:after {
  left: 87px;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .legend-29zvAld0:hover
    .series-12hzsxbp.withAction-1y86Ymm9.withTail-2tfD0t7T
    .valuesWrapper-1ukbb5SP:after {
    left: 87px;
  }
}
.legend-29zvAld0.touchMode-2jC98z1-
  .series-12hzsxbp.selected-2qw9PFUJ.withTail-2tfD0t7T
  .valuesWrapper-1ukbb5SP:after,
.legend-29zvAld0.touchMode-2jC98z1-
  .series-12hzsxbp.stayInHoveredMode-3K55nNni.withTail-2tfD0t7T
  .valuesWrapper-1ukbb5SP:after {
  left: 103px;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .legend-29zvAld0.touchMode-2jC98z1-:hover
    .series-12hzsxbp.withAction-1y86Ymm9.withTail-2tfD0t7T
    .valuesWrapper-1ukbb5SP:after {
    left: 103px;
  }
}
.legend-29zvAld0
  .series-12hzsxbp.flagged-3lOrkL__.selected-2qw9PFUJ.withTail-2tfD0t7T
  .valuesWrapper-1ukbb5SP:after,
.legend-29zvAld0
  .series-12hzsxbp.flagged-3lOrkL__.stayInHoveredMode-3K55nNni.withTail-2tfD0t7T
  .valuesWrapper-1ukbb5SP:after {
  left: 59px;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .legend-29zvAld0:hover
    .series-12hzsxbp.flagged-3lOrkL__.withAction-1y86Ymm9.withTail-2tfD0t7T
    .valuesWrapper-1ukbb5SP:after {
    left: 59px;
  }
}
.legend-29zvAld0.touchMode-2jC98z1-
  .series-12hzsxbp.flagged-3lOrkL__.selected-2qw9PFUJ.withTail-2tfD0t7T
  .valuesWrapper-1ukbb5SP:after,
.legend-29zvAld0.touchMode-2jC98z1-
  .series-12hzsxbp.flagged-3lOrkL__.stayInHoveredMode-3K55nNni.withTail-2tfD0t7T
  .valuesWrapper-1ukbb5SP:after {
  left: 73px;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .legend-29zvAld0.touchMode-2jC98z1-:hover
    .series-12hzsxbp.flagged-3lOrkL__.withAction-1y86Ymm9.withTail-2tfD0t7T
    .valuesWrapper-1ukbb5SP:after {
    left: 73px;
  }
}
.selected-2qw9PFUJ .buttons-1-XhYDHM,
.selected-2qw9PFUJ .titleWrapper-1Zs2rjQ6,
.withAction-1y86Ymm9 .buttons-1-XhYDHM,
.withAction-1y86Ymm9 .titleWrapper-1Zs2rjQ6 {
  background-color: #fff;
}
.selected-2qw9PFUJ .button-22Ex8G2W,
.withAction-1y86Ymm9 .button-22Ex8G2W {
  background-color: transparent;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .selected-2qw9PFUJ .button-22Ex8G2W:hover:after {
    background-color: #e3f2fd;
  }
}
.selected-2qw9PFUJ .titleWrapper-1Zs2rjQ6,
.withAction-1y86Ymm9 .titleWrapper-1Zs2rjQ6,
.withAction-1y86Ymm9.selected-2qw9PFUJ .titleWrapper-1Zs2rjQ6 {
  border-radius: 4px 0 0 4px;
}
.minimized-25_VM9I8
  .item-3eXPhOmy.study-lgC0tuTJ.disabled-3P6bUcMx
  .titleWrapper-1Zs2rjQ6,
.minimized-25_VM9I8
  .item-3eXPhOmy.study-lgC0tuTJ.selected-2qw9PFUJ
  .titleWrapper-1Zs2rjQ6,
.minimized-25_VM9I8
  .item-3eXPhOmy.study-lgC0tuTJ.withAction-1y86Ymm9
  .titleWrapper-1Zs2rjQ6 {
  max-width: calc(100% - 59px);
}
.minimized-25_VM9I8.touchMode-2jC98z1-
  .item-3eXPhOmy.study-lgC0tuTJ.disabled-3P6bUcMx
  .titleWrapper-1Zs2rjQ6,
.minimized-25_VM9I8.touchMode-2jC98z1-
  .item-3eXPhOmy.study-lgC0tuTJ.selected-2qw9PFUJ
  .titleWrapper-1Zs2rjQ6,
.minimized-25_VM9I8.touchMode-2jC98z1-
  .item-3eXPhOmy.study-lgC0tuTJ.withAction-1y86Ymm9
  .titleWrapper-1Zs2rjQ6 {
  max-width: calc(100% - 73px);
}
.minimized-25_VM9I8.legend-29zvAld0
  .item-3eXPhOmy.study-lgC0tuTJ.selected-2qw9PFUJ.withTail-2tfD0t7T
  .valuesWrapper-1ukbb5SP:after,
.minimized-25_VM9I8.legend-29zvAld0
  .item-3eXPhOmy.study-lgC0tuTJ.stayInHoveredMode-3K55nNni.withTail-2tfD0t7T
  .valuesWrapper-1ukbb5SP:after {
  left: 59px;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .minimized-25_VM9I8.legend-29zvAld0:hover
    .item-3eXPhOmy.study-lgC0tuTJ.withAction-1y86Ymm9.withTail-2tfD0t7T
    .valuesWrapper-1ukbb5SP:after {
    left: 59px;
  }
}
.minimized-25_VM9I8.touchMode-2jC98z1-.legend-29zvAld0
  .item-3eXPhOmy.study-lgC0tuTJ.selected-2qw9PFUJ.withTail-2tfD0t7T
  .valuesWrapper-1ukbb5SP:after,
.minimized-25_VM9I8.touchMode-2jC98z1-.legend-29zvAld0
  .item-3eXPhOmy.study-lgC0tuTJ.stayInHoveredMode-3K55nNni.withTail-2tfD0t7T
  .valuesWrapper-1ukbb5SP:after {
  left: 73px;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .minimized-25_VM9I8.touchMode-2jC98z1-.legend-29zvAld0:hover
    .item-3eXPhOmy.study-lgC0tuTJ.withAction-1y86Ymm9.withTail-2tfD0t7T
    .valuesWrapper-1ukbb5SP:after {
    left: 73px;
  }
}
.valuesWrapper-1ukbb5SP {
  position: relative;
  align-self: stretch;
  align-items: center;
  flex-wrap: wrap;
  overflow: hidden;
  pointer-events: auto;
  cursor: default;
}
.valuesAdditionalWrapper-3BfAIuML {
  display: flex;
  flex-wrap: wrap;
  align-self: stretch;
  align-items: baseline;
  border-left: 4px solid currentColor;
}
.loading-37LPn65g .valuesWrapper-1ukbb5SP {
  min-width: 24px;
}
.disabled-3P6bUcMx .valuesWrapper-1ukbb5SP {
  display: none;
}
.valueItem-3JDGGSt_ {
  display: flex;
  align-self: stretch;
  align-items: center;
  text-align: left;
}
.valueItem-3JDGGSt_:not(:last-child) {
  padding-right: 6px;
}
.valueItem-3JDGGSt_:last-child {
  padding-right: 4px;
}
.valueItem-3JDGGSt_ .valueTitle-1myNPdtH {
  padding-left: 1px;
}
.valueItem-3JDGGSt_ .valueTitle-1myNPdtH,
.valueItem-3JDGGSt_ .valueValue-3kA0oJs5 {
  color: #242731;
}
.loading-37LPn65g .valueItem-3JDGGSt_,
.loading-37LPn65g .valuesAdditionalWrapper-3BfAIuML {
  opacity: 0;
}
.series-12hzsxbp .valueItem-3JDGGSt_:last-child {
  padding-right: 6px;
}
.series-12hzsxbp .valueItem-3JDGGSt_:last-child .title-bcHj6pEn {
  display: none;
}
.series-12hzsxbp .valueItem-3JDGGSt_ .valueTitle-1myNPdtH {
  color: #5d606b;
}
.buttonsWrapper-3eBZpnXm {
  position: relative;
  width: 0;
  max-width: 0;
  z-index: 2;
}
.disabled-3P6bUcMx .buttonsWrapper-3eBZpnXm,
.flagged-3lOrkL__ .buttonsWrapper-3eBZpnXm {
  width: 28px;
  max-width: 28px;
}
.touchMode-2jC98z1- .disabled-3P6bUcMx .buttonsWrapper-3eBZpnXm,
.touchMode-2jC98z1- .flagged-3lOrkL__ .buttonsWrapper-3eBZpnXm {
  width: 30px;
  max-width: 30px;
}
.disabled-3P6bUcMx.series-12hzsxbp:not(.onlyOneButtonCanBeStick-16Vrffc6)
  .buttonsWrapper-3eBZpnXm {
  width: 59px;
  max-width: 59px;
}
.touchMode-2jC98z1-
  .disabled-3P6bUcMx.series-12hzsxbp:not(.onlyOneButtonCanBeStick-16Vrffc6)
  .buttonsWrapper-3eBZpnXm {
  width: 73px;
  max-width: 73px;
}
.buttons-1-XhYDHM {
  display: flex;
  padding: 0 1px 0 2px;
  align-items: center;
  flex-shrink: 0;
  pointer-events: auto;
  opacity: 0;
}
.touchMode-2jC98z1- .buttons-1-XhYDHM {
  opacity: 1;
  padding: 0 6px;
}
.disabled-3P6bUcMx .buttons-1-XhYDHM,
.flagged-3lOrkL__ .buttons-1-XhYDHM {
  opacity: 1;
}
.noActions-1D515O5o .buttons-1-XhYDHM {
  pointer-events: none;
}
.selected-2qw9PFUJ .buttons-1-XhYDHM,
.withAction-1y86Ymm9 .buttons-1-XhYDHM {
  border-radius: 0 4px 4px 0;
}
.legend-29zvAld0 .selected-2qw9PFUJ .buttons-1-XhYDHM,
.legend-29zvAld0 .stayInHoveredMode-3K55nNni .buttons-1-XhYDHM {
  cursor: default;
  opacity: 1;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .legend-29zvAld0:hover .withAction-1y86Ymm9 .buttons-1-XhYDHM {
    cursor: default;
    opacity: 1;
  }
}
.legend-29zvAld0
  .selected-2qw9PFUJ.withTail-2tfD0t7T
  .valuesWrapper-1ukbb5SP:after,
.legend-29zvAld0
  .stayInHoveredMode-3K55nNni.withTail-2tfD0t7T
  .valuesWrapper-1ukbb5SP:after {
  content: '';
  position: absolute;
  width: 16px;
  height: 18px;
  top: 3px;
  left: 115px;
  background: radial-gradient(10px at 0 50%, currentColor 0, transparent 100%);
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .legend-29zvAld0:hover
    .withAction-1y86Ymm9.withTail-2tfD0t7T
    .valuesWrapper-1ukbb5SP:after {
    content: '';
    position: absolute;
    width: 16px;
    height: 18px;
    top: 3px;
    left: 115px;
    background: radial-gradient(
      10px at 0 50%,
      currentColor 0,
      transparent 100%
    );
  }
}
.legend-29zvAld0.touchMode-2jC98z1-
  .selected-2qw9PFUJ.withTail-2tfD0t7T
  .valuesWrapper-1ukbb5SP:after,
.legend-29zvAld0.touchMode-2jC98z1-
  .stayInHoveredMode-3K55nNni.withTail-2tfD0t7T
  .valuesWrapper-1ukbb5SP:after {
  left: 133px;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .legend-29zvAld0.touchMode-2jC98z1-:hover
    .withAction-1y86Ymm9.withTail-2tfD0t7T
    .valuesWrapper-1ukbb5SP:after {
    left: 133px;
  }
}
.button-22Ex8G2W {
  display: none;
  position: relative;
  width: 28px;
  justify-content: center;
  align-self: stretch;
  align-items: center;
  opacity: 0;
  z-index: 0;
}
.buttonIcon-2lrp9MHZ {
  display: flex;
  color: #242731;
}
.button-22Ex8G2W:last-child {
  border-radius: 0 4px 4px 0;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .button-22Ex8G2W:hover:after {
    content: '';
    display: block;
    position: absolute;
    top: 1px;
    right: 0;
    bottom: 1px;
    left: 0;
    background-color: #f0f3fa;
    border-radius: 2px;
    z-index: -1;
  }
}
.button-22Ex8G2W.flag-1kqFt7GH > span {
  margin-top: -1px;
}
.touchMode-2jC98z1- .button-22Ex8G2W {
  width: 30px;
}
.disabled-3P6bUcMx .buttonIcon-2lrp9MHZ {
  color: #242731;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .legend-29zvAld0:hover .study-lgC0tuTJ .button-22Ex8G2W {
    display: flex;
  }
}
.withAction-1y86Ymm9 .buttons-1-XhYDHM .button-22Ex8G2W:not(:first-child),
.withAction-1y86Ymm9 .titleWrapper-1Zs2rjQ6 {
  border-color: #d1d4dc;
}
.selected-2qw9PFUJ .titleWrapper-1Zs2rjQ6:after,
.withAction-1y86Ymm9 .titleWrapper-1Zs2rjQ6:after {
  background-color: #d1d4dc;
}
.selected-2qw9PFUJ .buttons-1-XhYDHM,
.withAction-1y86Ymm9 .buttons-1-XhYDHM {
  border: 1px solid #d1d4dc;
  border-left: 0;
}
.selected-2qw9PFUJ .buttons-1-XhYDHM,
.selected-2qw9PFUJ .buttons-1-XhYDHM .button-22Ex8G2W:not(:first-child),
.selected-2qw9PFUJ .buttonsWrapper-3eBZpnXm,
.selected-2qw9PFUJ .titleWrapper-1Zs2rjQ6 {
  border-color: #2196f3;
}
.buttons-1-XhYDHM .eye-3mqNMkLJ .animated-loading-eye,
.buttons-1-XhYDHM .eye-3mqNMkLJ .crossed-eye,
.buttons-1-XhYDHM .eye-3mqNMkLJ .loading-eye,
.disabled-3P6bUcMx .buttons-1-XhYDHM .eye-3mqNMkLJ .animated-loading-eye,
.disabled-3P6bUcMx .buttons-1-XhYDHM .eye-3mqNMkLJ .loading-eye,
.disabled-3P6bUcMx .buttons-1-XhYDHM .eye-3mqNMkLJ .normal-eye,
.minimized-25_VM9I8
  .study-lgC0tuTJ
  .button-22Ex8G2W:not(:last-child):not(:first-child) {
  display: none;
}
.disabled-3P6bUcMx .buttons-1-XhYDHM .eye-3mqNMkLJ .crossed-eye {
  display: block;
}
.hiddenLoading-hcuRRcWh .buttons-1-XhYDHM .eye-3mqNMkLJ .crossed-eye,
.hiddenLoading-hcuRRcWh .buttons-1-XhYDHM .eye-3mqNMkLJ .normal-eye {
  display: none;
}
.hiddenLoading-hcuRRcWh .buttons-1-XhYDHM .eye-3mqNMkLJ .animated-loading-eye,
.hiddenLoading-hcuRRcWh .buttons-1-XhYDHM .eye-3mqNMkLJ .loading-eye {
  display: block;
}
.hiddenLoading-hcuRRcWh .buttons-1-XhYDHM .eye-3mqNMkLJ .animated-loading-eye {
  transform-origin: center;
  animation: eye-animation-1pyfCZvS 0.96s linear infinite;
}
.disabled-3P6bUcMx .buttons-1-XhYDHM .eye-3mqNMkLJ,
.flagged-3lOrkL__ .buttons-1-XhYDHM .flag-1kqFt7GH,
.selected-2qw9PFUJ .buttons-1-XhYDHM .button-22Ex8G2W,
.series-12hzsxbp.disabled-3P6bUcMx .buttons-1-XhYDHM .flag-1kqFt7GH,
.withAction-1y86Ymm9 .buttons-1-XhYDHM .button-22Ex8G2W {
  display: flex;
  opacity: 1;
}
.series-12hzsxbp.disabled-3P6bUcMx .flag-1kqFt7GH .buttonIcon-2lrp9MHZ {
  visibility: hidden;
}
.selected-2qw9PFUJ.series-12hzsxbp.disabled-3P6bUcMx
  .flag-1kqFt7GH
  .buttonIcon-2lrp9MHZ,
.series-12hzsxbp.disabled-3P6bUcMx.flagged-3lOrkL__
  .flag-1kqFt7GH
  .buttonIcon-2lrp9MHZ,
.withAction-1y86Ymm9.series-12hzsxbp.disabled-3P6bUcMx
  .flag-1kqFt7GH
  .buttonIcon-2lrp9MHZ {
  visibility: visible;
}
.sourcesWrapper-2JcXD9TK {
  display: flex;
  position: relative;
  margin: 0 8px;
  align-items: flex-start;
  min-height: 26px;
}
.newCollapser-1F6pNRDi .sourcesWrapper-2JcXD9TK {
  flex-direction: column-reverse;
  margin: 0 4px;
  min-height: auto;
}
.sources-6Hp4M7li {
  display: flex;
  flex-direction: column;
  flex: 1 1 auto;
  width: 100%;
}
.toggler-_SUZ7r_5 {
  display: flex;
  position: relative;
  margin: 2px 2px 0 0;
  flex: 0 0 auto;
  align-items: center;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .toggler-_SUZ7r_5:hover:after {
    z-index: 0;
  }
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .toggler-_SUZ7r_5:hover .counter-1hG1zy7A,
  .toggler-_SUZ7r_5:hover .iconArrow-3q7vxxnz,
  .toggler-_SUZ7r_5:hover .objectTree-2tLil0dm {
    color: #000;
  }
}
.toggler-_SUZ7r_5 .counter-1hG1zy7A {
  display: none;
  padding-right: 6px;
  font-size: 13px;
  line-height: 16px;
  color: inherit;
}
.toggler-_SUZ7r_5 .iconArrow-3q7vxxnz {
  display: flex;
  transition: transform 0.1s cubic-bezier(0.06, 0.52, 1, 0.54);
}
.toggler-_SUZ7r_5 .objectTree-2tLil0dm {
  display: none;
}
.toggler-_SUZ7r_5 .iconArrow-3q7vxxnz,
.toggler-_SUZ7r_5 .objectTree-2tLil0dm {
  width: 19px;
  height: 19px;
  justify-content: center;
  align-items: center;
}
.toggler-_SUZ7r_5 .counter-1hG1zy7A,
.toggler-_SUZ7r_5 .iconArrow-3q7vxxnz,
.toggler-_SUZ7r_5 .objectTree-2tLil0dm {
  position: relative;
  color: #242731;
  z-index: 1;
}
.newCollapser-1F6pNRDi .toggler-_SUZ7r_5 {
  margin: 2px 0 0 5px;
}
.newCollapser-1F6pNRDi .toggler-_SUZ7r_5 .counter-1hG1zy7A {
  padding-right: 4px;
}
.newCollapser-1F6pNRDi .toggler-_SUZ7r_5 .iconArrow-3q7vxxnz {
  width: 27px;
  transform: rotate(-180deg);
}
.newCollapser-1F6pNRDi .toggler-_SUZ7r_5 .objectTree-2tLil0dm {
  width: 19px;
}
.closed-1Sz6CztG.sourcesWrapper-2JcXD9TK {
  padding-bottom: 4px;
}
.closed-1Sz6CztG .toggler-_SUZ7r_5 .counter-1hG1zy7A {
  display: flex;
}
.closed-1Sz6CztG .toggler-_SUZ7r_5 .iconArrow-3q7vxxnz {
  transform: rotate(-90deg);
}
.closed-1Sz6CztG .sources-6Hp4M7li {
  display: none;
}
.newCollapser-1F6pNRDi .closed-1Sz6CztG .toggler-_SUZ7r_5 .iconArrow-3q7vxxnz {
  transform: rotate(0);
}
.newCollapser-1F6pNRDi .closed-1Sz6CztG .toggler-_SUZ7r_5 .iconArrow-3q7vxxnz,
.newCollapser-1F6pNRDi .closed-1Sz6CztG .toggler-_SUZ7r_5 .objectTree-2tLil0dm {
  width: 19px;
}
.micro-1-90nTmg .sourcesWrapper-2JcXD9TK {
  padding-bottom: 4px;
}
.micro-1-90nTmg .toggler-_SUZ7r_5 .counter-1hG1zy7A,
.micro-1-90nTmg .toggler-_SUZ7r_5 .iconArrow-3q7vxxnz {
  display: none;
}
.micro-1-90nTmg .toggler-_SUZ7r_5 .objectTree-2tLil0dm {
  display: flex;
}
.micro-1-90nTmg .closed-1Sz6CztG .toggler-_SUZ7r_5 .counter-1hG1zy7A,
.micro-1-90nTmg .closed-1Sz6CztG .toggler-_SUZ7r_5 .iconArrow-3q7vxxnz,
.micro-1-90nTmg .series-12hzsxbp .valuesWrapper-1ukbb5SP,
.micro-1-90nTmg .sources-6Hp4M7li {
  display: none;
}
.touchMode-2jC98z1- .titleWrapper-1Zs2rjQ6 {
  padding-right: 6px;
}
.touchMode-2jC98z1- .selected-2qw9PFUJ .titleWrapper-1Zs2rjQ6:after,
.touchMode-2jC98z1- .withAction-1y86Ymm9 .titleWrapper-1Zs2rjQ6:after {
  top: 5px;
  bottom: 5px;
}
.touchMode-2jC98z1- .series-12hzsxbp .titleWrapper-1Zs2rjQ6 {
  min-height: 26px;
}
.touchMode-2jC98z1- .titleWrapper-1Zs2rjQ6 {
  line-height: 24px;
}
.touchMode-2jC98z1-.minimized-25_VM9I8
  .item-3eXPhOmy.study-lgC0tuTJ.disabled-3P6bUcMx
  .titleWrapper-1Zs2rjQ6,
.touchMode-2jC98z1-.minimized-25_VM9I8
  .item-3eXPhOmy.study-lgC0tuTJ.selected-2qw9PFUJ
  .titleWrapper-1Zs2rjQ6,
.touchMode-2jC98z1-.minimized-25_VM9I8
  .item-3eXPhOmy.study-lgC0tuTJ.withAction-1y86Ymm9
  .titleWrapper-1Zs2rjQ6 {
  max-width: calc(100% - 87px);
}
.touchMode-2jC98z1-.minimized-25_VM9I8.touchMode-2jC98z1-
  .item-3eXPhOmy.study-lgC0tuTJ.disabled-3P6bUcMx
  .titleWrapper-1Zs2rjQ6,
.touchMode-2jC98z1-.minimized-25_VM9I8.touchMode-2jC98z1-
  .item-3eXPhOmy.study-lgC0tuTJ.selected-2qw9PFUJ
  .titleWrapper-1Zs2rjQ6,
.touchMode-2jC98z1-.minimized-25_VM9I8.touchMode-2jC98z1-
  .item-3eXPhOmy.study-lgC0tuTJ.withAction-1y86Ymm9
  .titleWrapper-1Zs2rjQ6 {
  max-width: calc(100% - 103px);
}
.touchMode-2jC98z1- .toggler-_SUZ7r_5 {
  margin: 0 2px 0 0;
}
.touchMode-2jC98z1- .toggler-_SUZ7r_5 .iconArrow-3q7vxxnz,
.touchMode-2jC98z1- .toggler-_SUZ7r_5 .objectTree-2tLil0dm {
  width: 24px;
  height: 24px;
}
.touchMode-2jC98z1- .toggler-_SUZ7r_5 .counter-1hG1zy7A {
  font-size: 14px;
}
.touchMode-2jC98z1- .item-3eXPhOmy {
  min-height: 26px;
}
.newCollapser-1F6pNRDi.touchMode-2jC98z1- .toggler-_SUZ7r_5 {
  margin: 2px 0 0 5px;
}
.newCollapser-1F6pNRDi.touchMode-2jC98z1- .toggler-_SUZ7r_5 .iconArrow-3q7vxxnz,
.newCollapser-1F6pNRDi.touchMode-2jC98z1-
  .toggler-_SUZ7r_5
  .objectTree-2tLil0dm {
  width: 30px;
}
.newCollapser-1F6pNRDi.touchMode-2jC98z1-
  .closed-1Sz6CztG
  .toggler-_SUZ7r_5
  .iconArrow-3q7vxxnz,
.newCollapser-1F6pNRDi.touchMode-2jC98z1-
  .closed-1Sz6CztG
  .toggler-_SUZ7r_5
  .objectTree-2tLil0dm {
  width: 24px;
}
.chart-widget--themed-dark .item-3eXPhOmy.last-3Xus0HXW .text-1pYqyE6B,
.chart-widget--themed-dark .noWrap-ODIQgNap .valuesAdditionalWrapper-3BfAIuML,
.chart-widget--themed-dark .title-bcHj6pEn,
.chart-widget--themed-dark .valueTitle-1myNPdtH,
.chart-widget--themed-dark .valueValue-3kA0oJs5 {
  color: #9598a1;
}
.chart-widget--themed-dark .disabled-3P6bUcMx .title-bcHj6pEn,
.chart-widget--themed-dark .disabled-3P6bUcMx .valueTitle-1myNPdtH,
.chart-widget--themed-dark .disabled-3P6bUcMx .valueValue-3kA0oJs5 {
  color: #434651;
}
.chart-widget--themed-dark
  .disabled-3P6bUcMx.withCustomTextColor-Pw_dabsC
  .title-bcHj6pEn,
.chart-widget--themed-dark
  .disabled-3P6bUcMx.withCustomTextColor-Pw_dabsC
  .valueTitle-1myNPdtH,
.chart-widget--themed-dark
  .disabled-3P6bUcMx.withCustomTextColor-Pw_dabsC
  .valueValue-3kA0oJs5 {
  color: #434651 !important;
}
.chart-widget--themed-dark .study-lgC0tuTJ .title-bcHj6pEn.title2nd-2igtq1cH {
  color: #9598a1;
}
.chart-widget--themed-dark
  .study-lgC0tuTJ.disabled-3P6bUcMx
  .title-bcHj6pEn.title2nd-2igtq1cH {
  color: #434651;
}
.chart-widget--themed-dark
  .study-lgC0tuTJ.withCustomTextColor-Pw_dabsC.disabled-3P6bUcMx
  .title-bcHj6pEn.title2nd-2igtq1cH {
  color: #434651 !important;
}
.chart-widget--themed-dark
  .series-12hzsxbp
  .titleWrapper-1Zs2rjQ6
  .title-bcHj6pEn.withDot-VrJCTK--:not(:first-child):before {
  color: #434651;
}
.chart-widget--themed-dark
  .series-12hzsxbp
  .valueItem-3JDGGSt_
  .valueTitle-1myNPdtH {
  color: #9598a1;
}
.chart-widget--themed-dark .buttonIcon-2lrp9MHZ {
  color: #d1d4dc;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .chart-widget--themed-dark .button-22Ex8G2W:hover:after {
    background-color: #2a2e39;
  }
}
.chart-widget--themed-dark .withAction-1y86Ymm9 .buttons-1-XhYDHM,
.chart-widget--themed-dark
  .withAction-1y86Ymm9
  .buttons-1-XhYDHM
  .button-22Ex8G2W:not(:first-child),
.chart-widget--themed-dark .withAction-1y86Ymm9 .titleWrapper-1Zs2rjQ6 {
  border-color: #363a45;
}
.chart-widget--themed-dark .selected-2qw9PFUJ .titleWrapper-1Zs2rjQ6:after,
.chart-widget--themed-dark .withAction-1y86Ymm9 .titleWrapper-1Zs2rjQ6:after {
  background-color: #363a45;
}
.chart-widget--themed-dark .selected-2qw9PFUJ .buttons-1-XhYDHM,
.chart-widget--themed-dark .selected-2qw9PFUJ .titleWrapper-1Zs2rjQ6,
.chart-widget--themed-dark .withAction-1y86Ymm9 .buttons-1-XhYDHM,
.chart-widget--themed-dark .withAction-1y86Ymm9 .titleWrapper-1Zs2rjQ6 {
  background-color: #242731;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .chart-widget--themed-dark .selected-2qw9PFUJ .button-22Ex8G2W:hover:after {
    background-color: rgba(25, 118, 210, 0.2);
  }
}
.chart-widget--themed-dark .selected-2qw9PFUJ .buttons-1-XhYDHM,
.chart-widget--themed-dark
  .selected-2qw9PFUJ
  .buttons-1-XhYDHM
  .button-22Ex8G2W:not(:first-child),
.chart-widget--themed-dark .selected-2qw9PFUJ .buttonsWrapper-3eBZpnXm,
.chart-widget--themed-dark .selected-2qw9PFUJ .titleWrapper-1Zs2rjQ6 {
  border-color: #1976d2;
}
.chart-widget--themed-dark .toggler-_SUZ7r_5 {
  border-color: #363a45;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .chart-widget--themed-dark .toggler-_SUZ7r_5:hover:after {
    background-color: hsla(0, 0%, 100%, 0.1);
  }
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .chart-widget--themed-dark .toggler-_SUZ7r_5:hover .counter-1hG1zy7A,
  .chart-widget--themed-dark .toggler-_SUZ7r_5:hover .iconArrow-3q7vxxnz,
  .chart-widget--themed-dark .toggler-_SUZ7r_5:hover .objectTree-2tLil0dm {
    color: #f0f3fa;
  }
}
.chart-widget--themed-dark .toggler-_SUZ7r_5 .counter-1hG1zy7A,
.chart-widget--themed-dark .toggler-_SUZ7r_5 .iconArrow-3q7vxxnz,
.chart-widget--themed-dark .toggler-_SUZ7r_5 .objectTree-2tLil0dm {
  color: #d1d4dc;
}
@keyframes eye-animation-1pyfCZvS {
  to {
    transform: rotate(1turn);
  }
}
.blockHidden-pECc1q1w {
  display: none !important;
}
.pane-button-3IbFaPrJ {
  border: 1px solid #d1d4dc;
  border-radius: 3px;
  background-color: currentColor;
  cursor: default;
  pointer-events: all;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .pane-button-3IbFaPrJ:hover:after {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background-color: rgba(19, 23, 34, 0.06);
    border-radius: 3px;
    z-index: 0;
  }
}
.chart-widget--themed-dark .pane-button-3IbFaPrJ {
  border-color: #363a45;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .chart-widget--themed-dark .pane-button-3IbFaPrJ:hover:after {
    background-color: hsla(0, 0%, 100%, 0.1);
  }
}
.statuses-29yrFaoA {
  display: inline-flex;
  border-radius: 9px;
  overflow: hidden;
  align-self: center;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .statuses-29yrFaoA:hover .statusItem-1gsKvHgg:after {
    opacity: 0.25;
  }
}
.statuses-29yrFaoA.medium-zcMrbLxb {
  border-radius: 9px;
}
.statuses-29yrFaoA.large-2E_Sb0cV {
  border-radius: 11px;
}
.oneWidgetsVisible-17p3P_dQ.statuses-29yrFaoA,
.threeWidgetsVisible-sIjrbNL1.statuses-29yrFaoA,
.twoWidgetsVisible-3kEfsgAz.statuses-29yrFaoA {
  margin-left: 11px;
  margin-right: 12px;
}
.statusItem-1gsKvHgg {
  display: flex;
  position: relative;
  -webkit-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.statusItem-1gsKvHgg:after {
  content: '';
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0.15;
  z-index: -1;
}
.statusItem-1gsKvHgg svg {
  position: relative;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 0;
}
.statusItem-1gsKvHgg.medium-zcMrbLxb {
  width: 18px;
  height: 18px;
}
.statusItem-1gsKvHgg.large-2E_Sb0cV {
  width: 22px;
  height: 22px;
}
.marketStatusOpen-2d8WAYHQ,
html.theme-dark .marketStatusOpen-2d8WAYHQ {
  color: #009688;
}
.marketStatusOpen-2d8WAYHQ:after,
html.theme-dark .marketStatusOpen-2d8WAYHQ:after {
  background-color: #26a69a;
}
.marketStatusClose-2LgI3IBx,
html.theme-dark .marketStatusClose-2LgI3IBx {
  color: #9598a1;
}
.marketStatusClose-2LgI3IBx:after,
html.theme-dark .marketStatusClose-2LgI3IBx:after {
  background-color: #9598a1;
}
.marketStatusPre-3tiNWinG,
html.theme-dark .marketStatusPre-3tiNWinG {
  color: #fb8c00;
}
.marketStatusPre-3tiNWinG:after,
html.theme-dark .marketStatusPre-3tiNWinG:after {
  background-color: #ffa726;
}
.marketStatusPost-1wCjJrHi,
html.theme-dark .marketStatusPost-1wCjJrHi {
  color: #2196f3;
}
.marketStatusPost-1wCjJrHi:after,
html.theme-dark .marketStatusPost-1wCjJrHi:after {
  background-color: #42a5f5;
}
.marketStatusHoliday-HyAcvqXa,
html.theme-dark .marketStatusHoliday-HyAcvqXa {
  color: #9598a1;
}
.marketStatusHoliday-HyAcvqXa:after,
html.theme-dark .marketStatusHoliday-HyAcvqXa:after {
  background-color: #9598a1;
}
.invalidSymbol-2tnvnmzm {
  color: #fff;
}
.invalidSymbol-2tnvnmzm,
html.theme-dark .invalidSymbol-2tnvnmzm {
  background-color: #ef5350;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .statuses-29yrFaoA .invalidSymbol-2tnvnmzm:hover {
    background-color: #d32f2f;
  }
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  html.theme-dark .statuses-29yrFaoA .invalidSymbol-2tnvnmzm:hover {
    background-color: #f44336;
  }
}
.replayMode-2O_B03jx {
  color: #fff;
  background-color: #2196f3;
}
html.theme-dark .replayMode-2O_B03jx {
  background-color: #1976d2;
  color: #e3f2fd;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .statuses-29yrFaoA .replayMode-2O_B03jx:hover,
  html.theme-dark .statuses-29yrFaoA .replayMode-2O_B03jx:hover {
    background-color: #1e88e5;
  }
}
.delay-NXuSKUfA,
.notAccurate-2qEIEgim,
html.theme-dark .delay-NXuSKUfA,
html.theme-dark .notAccurate-2qEIEgim {
  color: #d81b60;
}
.delay-NXuSKUfA:after,
.notAccurate-2qEIEgim:after,
html.theme-dark .delay-NXuSKUfA:after,
html.theme-dark .notAccurate-2qEIEgim:after {
  background-color: #d81b60;
}
.eod-TNCDZArR,
html.theme-dark .eod-TNCDZArR {
  color: #d81b60;
}
.eod-TNCDZArR:after,
html.theme-dark .eod-TNCDZArR:after {
  background-color: #d81b60;
}
.twoWidgetsVisible-3kEfsgAz .delay-NXuSKUfA,
.twoWidgetsVisible-3kEfsgAz .eod-TNCDZArR,
.twoWidgetsVisible-3kEfsgAz .notAccurate-2qEIEgim {
  padding-right: 2px;
}
.dataProblemHigh-2SJE6Anp {
  color: #fff;
  background-color: #ef5350;
}
html.theme-dark .dataProblemHigh-2SJE6Anp {
  background-color: #ef5350;
}
.dataProblemLow-iRGvvWWe,
html.theme-dark .dataProblemLow-iRGvvWWe {
  color: #e53935;
}
.dataProblemLow-iRGvvWWe:after,
html.theme-dark .dataProblemLow-iRGvvWWe:after {
  background-color: #ef5350;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .statuses-29yrFaoA .dataProblemHigh-2SJE6Anp:hover {
    background-color: #d32f2f;
  }
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  html.theme-dark .statuses-29yrFaoA .dataProblemHigh-2SJE6Anp:hover {
    background-color: #f44336;
  }
}
.threeWidgetsVisible-sIjrbNL1 .marketStatusClose-2LgI3IBx,
.threeWidgetsVisible-sIjrbNL1 .marketStatusHoliday-HyAcvqXa,
.threeWidgetsVisible-sIjrbNL1 .marketStatusOpen-2d8WAYHQ,
.threeWidgetsVisible-sIjrbNL1 .marketStatusPost-1wCjJrHi,
.threeWidgetsVisible-sIjrbNL1 .marketStatusPre-3tiNWinG,
.twoWidgetsVisible-3kEfsgAz .marketStatusClose-2LgI3IBx,
.twoWidgetsVisible-3kEfsgAz .marketStatusHoliday-HyAcvqXa,
.twoWidgetsVisible-3kEfsgAz .marketStatusOpen-2d8WAYHQ,
.twoWidgetsVisible-3kEfsgAz .marketStatusPost-1wCjJrHi,
.twoWidgetsVisible-3kEfsgAz .marketStatusPre-3tiNWinG {
  padding-left: 2px;
}
.threeWidgetsVisible-sIjrbNL1 .dataProblemLow-iRGvvWWe,
.twoWidgetsVisible-3kEfsgAz .dataProblemLow-iRGvvWWe {
  padding-right: 2px;
}
.paneControls-3t_VmRy0 {
  position: static;
  padding: 0 5px 0 1px;
  margin-top: 6px;
  z-index: 7;
  color: #fff;
  transition: opacity 0.4s, visibility 0.4s;
}
.paneControls-3t_VmRy0.hasTopMargin-2samtQKI {
  top: 30px;
}
.paneControls-3t_VmRy0.hidden-3ndYaA31 {
  visibility: hidden;
  opacity: 0;
}
.paneControls-3t_VmRy0.forceHidden-2qoGxuLX {
  width: 0;
  height: 0;
  line-height: 0;
  margin: 0;
  padding: 0;
}
.button-1T73noHe {
  position: relative;
  display: flex;
  width: 19px;
  height: 19px;
  overflow: hidden;
  justify-content: center;
  align-items: center;
  flex: 0 0 auto;
}
.button-1T73noHe:not(:first-child) {
  margin-left: 4px;
}
.button-1T73noHe .buttonIcon-1vsadlK4 {
  color: #242731;
}
.button-1T73noHe.minimize-UL6CPYKt .buttonIcon-1vsadlK4 {
  color: #fff;
}
.button-1T73noHe.newButton-2UJTRB7V {
  border-radius: 4px;
}
.touchMode-33C2amJm .button-1T73noHe {
  width: 24px;
  height: 24px;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .maximize-2gtRCsC0:hover .bracket-up {
    animation: maximize-animation-up-bracket-PKA42SoI 0.6s ease;
  }
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .maximize-2gtRCsC0:hover .bracket-down {
    animation: maximize-animation-down-bracket-6VpX9y4d 0.6s ease;
  }
}
.maximize-2gtRCsC0 .bracket-down,
.maximize-2gtRCsC0 .bracket-up {
  transform: translateY(0);
}
@keyframes maximize-animation-up-bracket-PKA42SoI {
  50% {
    transform: translateY(1px);
  }
}
@keyframes maximize-animation-down-bracket-6VpX9y4d {
  50% {
    transform: translateY(-1px);
  }
}
.minimize-UL6CPYKt {
  background-color: #2196f3 !important;
  border-color: #2196f3 !important;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .minimize-UL6CPYKt:hover .bracket-up {
    animation: minimize-animation-up-bracket-1ZcEx180 0.6s ease;
  }
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .minimize-UL6CPYKt:hover .bracket-down {
    animation: minimize-animation-down-bracket-2sZM5-ln 0.6s ease;
  }
}
.minimize-UL6CPYKt .bracket-down,
.minimize-UL6CPYKt .bracket-up {
  transform: translateY(0);
}
@keyframes minimize-animation-up-bracket-1ZcEx180 {
  50% {
    transform: translateY(-1px);
  }
}
@keyframes minimize-animation-down-bracket-2sZM5-ln {
  50% {
    transform: translateY(1px);
  }
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .up-3-Dp9Ytc:hover .buttonIcon-1vsadlK4 {
    animation: up-animation-2oGxHhg9 0.6s ease;
  }
}
@keyframes up-animation-2oGxHhg9 {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-2px);
  }
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .down-2qp_j-xN:hover .buttonIcon-1vsadlK4 {
    animation: down-animation-28i3s7Bs 0.6s ease;
  }
}
@keyframes down-animation-28i3s7Bs {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(2px);
  }
}
.buttonsWrapper-326cDko9 {
  display: flex;
  align-items: center;
  flex-wrap: nowrap;
  flex: 0 0 auto;
}
.chart-widget--themed-dark .paneControls-3t_VmRy0 {
  color: #242731;
}
.chart-widget--themed-dark .minimize-UL6CPYKt {
  background-color: #1976d2 !important;
  border-color: #1976d2 !important;
}
@media (any-hover: hover), (min--moz-device-pixel-ratio: 0) {
  .chart-widget--themed-dark .button-1T73noHe:hover .buttonIcon-1vsadlK4 {
    color: #f0f3fa;
  }
}
.chart-widget--themed-dark .button-1T73noHe .buttonIcon-1vsadlK4 {
  color: #d1d4dc;
}
